Pertanyaan Kesalahan Xcode "Tidak dapat menemukan Gambar Disk Developer"


Ketika mencoba menjalankan build pada perangkat iOS yang terhubung di Xcode, saya mendapatkan kesalahan:

Tidak dapat menemukan Gambar Disk Developer

Screenshot of error message

Saya melihat ada beta publik untuk Xcode, jadi saya menginstalnya.

Salah satu fitur baru adalah Anda tidak perlu memiliki Akun Program Pengembang Dingus untuk mengunggah aplikasi Anda langsung ke iPhone Anda.

Namun, pada iPhone 4 saya, saya juga melakukan pembaruan beta publik ke iOS 8.4, masalahnya adalah, bahwa tidak ada Image Developer Disk yang tersedia untuk itu.

Di mana saya dapat menemukannya atau bagaimana cara memperbaikinya?


841
2018-06-09 15:48


asal


Jawaban:


Saya menghadapi masalah yang sama pada Xcode 7.3 atau versi lama Xcode Anda dan versi perangkat saya adalah iOS 10 atau versi yang lebih baru dari OS Anda.

Kesalahan ini ditunjukkan ketika Xcode Anda sudah tua dan perangkat terkait yang Anda gunakan diperbarui ke versi terbaru. Pertama-tama, unduh Versi Xcode terbaru. Tidak Perlu menginstal Xcode terbaru.

Kami dapat memecahkan masalah ini dengan mengikuti langkah-langkah di bawah ini:

  • Klik kanan pada Xcode 8 atau Versi baru dari Anda Xcode, pilih "Tampilkan Isi Paket","Isi","Pengembang","Platform","iPhoneOS.Platform","Dukungan Perangkat"
  • Salin folder 10.0 (atau di atas untuk versi yang lebih baru).
  • Kembali Penemu memilih Aplikasi lagi
  • Klik kanan pada Xcode 7.3 atau versi Xcode Anda, sekarang pilih "Tampilkan Isi Paket", "Isi", "Pengembang", "Platform", "iPhoneOS.Platform", "Dukungan Perangkat"
  • Tempelkan folder 10.0 (atau di atas untuk versi yang lebih baru).

Sekarang Xcode Anda memiliki citra disk pengembang baru. Tutup finder sekarang, dan keluar dari Xcode Anda. Buka Xcode Anda dan kesalahannya akan hilang. Sekarang Anda dapat menghubungkan perangkat terbaru Anda ke versi Xcode lama.

ATAU

Jika Anda tidak dapat mengunduh Xcode terbaru, Anda bisa mendapatkan Image Disk Developer terbaru untuk Xcode Anda dari tautan ini: -

Bagaimana cara mengunduh file Xcode DMG atau XIP?

Terima kasih kepada @Hailei atas jawaban mereka. Sehingga orang dapat mengunduh DMG terbaru.


82
2017-09-30 06:17



Bagi orang-orang yang memiliki masalah serupa di masa depan, berhati-hatilah bahwa masalah ini pada dasarnya berakar pada ketidakcocokan versi iOS Anda dan Xcode versi.

Periksa kompatibilitas iOS dan Xcode.


573
2017-11-01 08:34



Saya pribadi mengunduh Xcode 6.4 beta dan 7.0 beta dan saya sangat senang menemukan solusinya dengan mencari "8.4" di dalam folder aplikasi dari 6.4 beta. Dengan melakukan ini, saya menemukan folder itu 8.4 (12H4125a) berisi gambar iOS 8.4 dan saya menyalin folder ini ke jalur yang sama dengan versi beta 7.0. Jalurnya adalah sebagai berikut:

/Applications/Xcode-beta.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport 

Ketika Anda akan membuka kembali Xcode 7 dan memilih perangkat Anda, akan ada pesan kesalahan; klik saja fix issue dan itu harus dilakukan!


286
2018-06-23 20:48



Kesalahan ini terjadi ketika versi Xcode mendahului perangkat itu.

Misalnya, mencoba menjalankan build di perangkat yang menjalankan iOS 9.3 di Xcode 7.2 menghasilkan kesalahan ini; Could not find Developer Disk Image.

Mengapa pesan kesalahan yang benar-benar menggambarkan apa yang sedang terjadi tidak dapat diberikan adalah di luar saya (Apple, saya melihat Anda).

Perbarui ke versi Xcode terbaru melalui App Store atau melalui unduhan langsung untuk menjamin interoperabilitas dengan perangkat iOS yang terhubung.


138
2017-12-16 13:10



Jika Anda menggunakan Xcode lama dan ingin menjalankan perangkat dengan iOS versi baru, maka lakukan trik ini. Ini pada dasarnya membuat tautan simbolis dari Dukungan Perangkat iOS di Xcode baru ke Xcode lama

https://gist.github.com/steipete/d9b44d8e9f341e81414e86d7ff8fb62d

Untuk Xcode 9.0 beta dan iOS 11.0 beta (beri nama Anda Xcode9.app untuk Xcode 9 beta dan Xcode.app untuk Xcode 8)

sudo ln -s "/Applications/Xcode9.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport/11.0\ \(15A5278f\)" "/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport"

113
2018-06-21 09:13



Masalah saya adalah dengan Xcode 7 dan Xcode 6.4 beta dan iOS 8.4 - perangkat tidak kompatibel.

Dalam kasus masalah yang sama untuk lebih memahami cara memperbaiki, lakukan selanjutnya:

  1. Buka /Applications/Xcode-beta.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport
  2. Pergi ke
    /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSup‌ port /
  3. Salin folder iOS 8.4 di folder lain

Enter image description here

  1. Mulai ulang Xcode

108
2017-07-09 19:37



Jika Anda memiliki iOS 9.1 di ponsel Anda, cukup unduh Xcode 7.1 beta daripada menggunakan GM.

Lihat tanggapan Apple: Tidak dapat menemukan gambar disk pengembang untuk iOS 9.1


75
2017-09-13 01:44



Saya mendapat pesan kesalahan yang sama (Tidak dapat menemukan gambar disk pengembang) setelah saya memperbarui perangkat saya ke iOS 9.2, tetapi lupa untuk memperbarui ke Xcode 7.2.

Jadi dalam kasus saya, itu perbaiki mudah: cukup perbarui ke Xcode 7.2 melalui Mac App Store.


61
2017-12-12 07:34



Pesan ini muncul ketika versi Xcode Anda terlalu tua untuk versi iOS perangkat. Tingkatkan Xcode ke yang terbaru.

Jika App Store tidak menawarkan pembaruan untuk Xcode, upgrade ke OS Mac terbaru. Di masa lalu, Apple telah agak agresif tentang menjatuhkan dukungan untuk versi lama Mac OS X di Xcode terbaru.

EDIT: ya, kesalahan ini mulai muncul lagi. :) Xcode 7.3.1, yang merupakan yang terbaru yang tersedia untuk MacOS 10.11 (Kapten), tidak mendukung iOS 10. Anda perlu MacOS Sierra (dan mungkin Mac baru).


41
2017-12-23 01:24



Saya baru saja mendapatkannya, dan saya menggunakan Xcode 7.2.1 ... Itu muncul ketika saya mengunduh iOS 9.3. Periksa Project Anda -> Base SDK dan jika tidak sama atau lebih cepat dari versi perangkat Anda, maka itulah masalahnya. Saya tidak melihat apa pun di bagian "Pembaruan", tetapi ketika saya mencari "Xcode" di App Store, itu memiliki pembaruan untuk 7.3.

Meningkatkan ke Diperlukan iOS 9.3 dan Xcode 7.3 Mac OS X v10.11 (Kapten) agar Xcode dapat dijalankan, dan itulah sebabnya pembaruan otomatis tidak meningkatkan versi Xcode.


24
2018-03-23 19:56